Skip to main content
`Ctrl`+`K`

# MatMFFDiBaseFn

Function provided to `MatMFFDSetFunctioniBase()` that computes the base of the function evaluations that will be used for differencing

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode MatMFFDiBaseFn(void *ctx, Vec x);

## Calling Sequence

- ctx - [optional] user-defined function context provided with `MatMFFDSetFunction()`

- x - input base vector

## See Also

Matrices, `Mat`, `MatCreateMFFD()`, `MatMFFDSetFunction()`, `MatMFFDSetFunctioniBase()`, `MatMFFDFn`, `MatMFFDiFn`

## Level

advanced

## Location

include/petscmat.h

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages